<?php

namespace App\Modules\BaseAuth\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Symfony\Component\HttpFoundation\Response;

class RedirectIfUserPhoneIsVerfied
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (Auth::check()) {
            /** @var \App\Models\User */
            $user = $request->user();

            if (! is_null($user->phone_verified_at) || $user->isSystemUser()) {
                return redirect(config()->string('module.base-auth.redirect_path'));
            }
        }

        return $next($request);
    }
}
